#include "start.h"
#include "main.h"
#include "usart.h"
#include <string>

#include <stdio.h>
#include <stm32f1xx.h>

#include "mpu6050.h"

MPU6050 mpu(&hi2c1, 0xD0, 1000);

MPU6050_t DataStruct;

uint8_t success = 0;
/**
 * @brief 初始化函数
 *
 */
void setup()
{
    success = mpu.init();
    if(success)
    {
        printf("mpu6050 init success!\r\n");
    }
    else
    {
        printf("mpu6050 init failed!\r\n");
    }
}

/**
 * @brief loop循环
 *
 */
void loop()
{

    // if(success)
    // {
    //     mpu.Read_All(&DataStruct);
    //     printf("gx:%d\r\n",DataStruct.Gx);
    //     printf("gy:%d\r\n",DataStruct.Gy);
    //     printf("gz:%d\r\n",DataStruct.Gz);
    // }
    
}
